Skip to main content
GET
Query Return Line Items

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

returnId
string<uuid>
required

The ID of the return that the line items belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested line items.

id
string<uuid>
required

Unique ID to identify a return line item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

returnId
string<uuid>
required

Unique ID to identify a return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

stateId
string<uuid>
required

The id of the return line item state.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

itemId
string<uuid>
required

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string
required

Name of the position.

sKU
string
required

SKU of the line item.

quantity
number<decimal>
required

The quantity of the line item.

returnReasonId
string<uuid>
required

Unique ID to identify a return reason.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

conditionId
string<uuid>
required

Unique ID to identify a condition.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

conditionComment
string
required

The comment corresponding to the return line item condition.

credit
boolean
required

Indicates whether this return line item should be credited. If omitted on creation, defaults to false.

salesOrderId
string<uuid>
required

Unique ID to identify a sales order file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

Unique ID to identify a sales order item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

deliveryNoteLineItemId
string<uuid>
required

Unique ID to identify a delivery note item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

returnReasonComment
string

The comment corresponding to the return line item reason.